/* CSS Reset */
*
	{
	margin: 0;	
	padding: 0;
	box-sizing: border-box;
	}

/*Bootstrap Font*/
body
	{
	font-family: Helvetica Neue , sans-serif;	
	}

.text-center
	{
	text-align: center;
	}

.h-25
	{
	height: 25%;	
	}

.p-3
	{
	padding: 15px;
	}

.bg-success
	{
	background-color: forestgreen;
	}	

.bg-warning
	{
	background-color: orange;	
	}

.bg-danger
	{
	background-color: darkred;
	}

.bg-secondary
	{
	background-color: lightslategray;
	}

/* 	CSS DISPLAY FLEX 
	-allows us to change the element into a block level container
	-make all the child element become flexible that allows them to occupy the space enought for the content of an element
	*/
	.d-flex
		{
		display: flex;
		}



/*	JUSTIFY CONTENT CENTER
	-allows us to align our items at the center of the container HORIZONTALLY
	-will only work with d-flex
 */
	.justify-content-center
		{
		justify-content: center;
		}

/* 	ALIGN ITEMS CENTER
	-allows us to manipulate the positioning of our elements VERTICALLY 
	-will only work with d-flex
*/
	.align-items-center
		{
		align-items: center;
		}


/* 	FLEX DIRECTION 
	- sets the direction of our flex items
	- COLUMN value stacks the flex items vertically from top-bottom
	- COLUMN REVERSE stacks the flex items vertically from bot-top
	-flex direction may only be applied if if the parent element has "flex" value
*/
	.flex-column
		{
		flex-direction: column;
		}

	.flex-column-reverse
		{
		flex-direction: column-reverse;
		}